summaryrefslogtreecommitdiff
path: root/src/openvpn/easy-rsa/list-crl
diff options
context:
space:
mode:
authorOthmar Gsenger <otti@anytun.org>2008-04-12 11:38:42 +0000
committerOthmar Gsenger <otti@anytun.org>2008-04-12 11:38:42 +0000
commitfffd213c8cba2135afda493d797c41c10354770e (patch)
treebb5eea1b12871d8c3fed0e687d83be3e504d11b2 /src/openvpn/easy-rsa/list-crl
parentsvn cleanup (diff)
big svn cleanup
Diffstat (limited to 'src/openvpn/easy-rsa/list-crl')
-rw-r--r--src/openvpn/easy-rsa/list-crl18
1 files changed, 18 insertions, 0 deletions
diff --git a/src/openvpn/easy-rsa/list-crl b/src/openvpn/easy-rsa/list-crl
new file mode 100644
index 0000000..b214dbd
--- /dev/null
+++ b/src/openvpn/easy-rsa/list-crl
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+#
+# list revoked certificates
+#
+#
+
+if test $# -ne 1; then
+ echo "usage: list-crl <crlfile.pem>";
+ exit 1
+fi
+
+if test $KEY_DIR; then
+ cd $KEY_DIR && \
+ openssl crl -text -noout -in $1
+else
+ echo you must define KEY_DIR
+fi